Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class ReceiveRequest

    java.lang.Object
      org.jboss.mq.ReceiveRequest

All Implemented Interfaces:
  Externalizable, Serializable

public class ReceiveRequest
extends Object
implements Externalizable

This class contians all the data needed to perform a JMS transaction

Version:
  $Revision: 1.5 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock
See Also:
  Serialized Form

Field Summary
`SpyMessage` | `message` The message
`protected static byte` | `NON_NULL` Whether the subscription is non null
`protected static byte` | `NULL` Whether the subscription is null
`Integer` | `subscriptionId` Is this an exlusive message? Then subscriptionId != null

Constructor Summary
`ReceiveRequest()`

Method Summary
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    protected static final byte NULL

  Whether the subscription is null

  See Also:
    Constant Field Values

### NON_NULL

    protected static final byte NON_NULL

  Whether the subscription is non null

  See Also:
    Constant Field Values

### message

    public SpyMessage message

  The message

### subscriptionId

    public Integer subscriptionId

  Is this an exlusive message? Then subscriptionId != null

Constructor Detail

### ReceiveRequest

    public ReceiveRequest()

Method Detail

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`

### toString

    public String toString()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.